:root {
	--font-family-base: "Montserrat", sans-serif;
	--font-family-secondary: "Azonix", sans-serif;

	--dark: #000000;
	--white: #fff;
	--white-50: #ececec;
	--gray: #44483b;
	--gray-50: #212121;
	--gray-100: #b1b2b3;
	--primary: #d4ff6a;
	--primary-hover: #96c402;
	--primary-active: #9fd500;
	--lime: #c1fe00;

	--bg-dark: #0c0c0c;
	--bg-green-gr: linear-gradient(180deg, #14180b 0%, #090d00 100%);
	--bg-dark-light: #212121;
	--bg-gray: #333;

	--border-gray: 1px solid var(--gray);
	--border-gray-100: 1px solid var(--gray-100);
	--box-shadow: 0 4px 20px rgb(193 254 0 / 12%);

	/* Font Weight */
	--fontWeightRegular: 400;
	--fontWeightSemiRegular: 500;
	--fontWeightSemiBold: 600;
	--fontWeightBold: 700;

	/* Font Size */
	--text-14: 0.875rem;
	--text-15: 15px;
	--text-16: 1rem;
	--text-18: 1.125rem;
	--text-20: 1.25rem;
	--text-24: 1.5rem;
	--text-30: 30px;
	--text-32: 2rem;
	--text-36: 2.25rem;
	--text-40: 2.5rem;
	--text-48: 3rem;
	--text-56: 3.5rem;
	--text-64: 4rem;

	/* Line Height */
	--lineHeightAdditionalSmall: 0.87;
	--lineHeightTight: 1;
	--lineHeightAdditionalLarge: 1.1;
	--lineHeightCompact: 1.25;
	--lineHeightSemiRegular: 1.4;
	--lineHeightRegular: 1.5;

	--radius: 12px;
	--radius-10: 10px;
	--transition: 0.3s ease-in-out;
}

*,
*::before,
*::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

html {
	scroll-behavior: smooth;
	line-height: var(--lineHeightTight);
}

body {
	font-family: var(--font-family-base);
	background-color: var(--bg-dark);
	color: var(--white);
	height: 100%;
}

main {
	display: block;
}

a {
	text-decoration: none;
	color: inherit;
}

ul,
ol {
	list-style: none;
	padding: 0;
	margin: 0;
}

img {
	max-width: 100%;
	height: auto;
	display: block;
	border-style: none;
}

button {
	cursor: pointer;
	background: none;
	border: none;
	font: inherit;
	text-align: center;
	text-decoration: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-weight: inherit;
	font-size: inherit;
}

h1 {
	font-size: var(--text-56);
	line-height: var(--lineHeightRegular);
	font-weight: var(--fontWeightBold);
}

h2 {
	font-size: var(--text-48);
	line-height: var(--lineHeightAdditionalLarge);
	font-weight: var(--fontWeightSemiBold);
}

h3 {
	font-weight: var(--fontWeightSemiRegular);
}

h3,
h4 {
	line-height: var(--lineHeightTight);
}

.container {
	max-width: 1320px;
	width: 100%;
	padding-inline: 30px;
	margin-inline: auto;
}

.card {
	border: var(--border-gray);
	border-radius: 1rem;
}

.highlight {
	color: var(--primary);
}

.btn {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	padding-block: 14px;
	font-weight: var(--fontWeightRegular);
	border-radius: var(--radius-10);
	transition: background-color var(--transition), scale var(--transition);

	&:hover {
		scale: 1.05;
	}
}

.btn-lime {
	color: var(--dark);
	background-color: var(--lime);

	&:hover {
		background-color: var(--primary-hover);
	}

	&:active {
		background-color: var(--primary-hover);
	}
}

.flex-center {
	display: flex;
	align-items: center;
	justify-content: center;
}

.visibility-hidden {
	position: absolute !important;
	width: 1px !important;
	height: 1px !important;
	margin: -1px !important;
	border: 0 !important;
	padding: 0 !important;
	white-space: nowrap !important;
	clip-path: inset(100%) !important;
	clip: rect(0 0 0 0) !important;
	overflow: hidden !important;
}
.reg-form__wrapper {
	max-width: 435px;
	width: 100%;
	margin-inline: auto;
}
@media (max-width: 1199.98px) {
	.container {
		max-width: 1140px;
	}

	h1,
	h2 {
		font-size: var(--text-36);
	}

	h2 {
		line-height: var(--lineHeightCompact);
		font-size: var(--text-32);
	}
}

@media (max-width: 991.98px) {
	.container {
		max-width: 960px;
	}
}

@media (max-width: 767.98px) {
	.container {
		max-width: 767px;
		padding-inline: 16px;
	}

	h1 {
		font-size: var(--text-40);
	}

	h2 {
		font-size: var(--text-32);
	}
}

@media (max-width: 575.98px) {
	.container {
		max-width: 540px;
	}

	h1 {
		font-size: var(--text-32);
	}
}
